---
import { Image } from "@astrojs/image/components";
import Link from "./Link.astro";
import { slugify, formatDate } from "../js/utils";

const { data, url, tagType } = Astro.props;

const Tag = tagType;

const { title, date, author, image, description, category } = data;
---

<article class="card">
  <div class="card__image">
    <a href={`/blog/${url}/`} aria-hidden="true" tabindex="-1">
      <Image
        src={image.src}
        alt={image.alt}
        width="400"
        height="250"
        format="webp"
        fit="cover"
        quality={80}
        aspectRatio="4:1"
      />
    </a>
  </div>

  <div class="card__content">
    <div>
      <a href={`/category/${slugify(category)}/`} class="card__content__badge"
        >{category}</a
      >
      <Tag class="card__content__title">
        <a href={`/blog/${url}/`}>{title}</a>
      </Tag>
      <small>
        by <a href={`/author/${slugify(author)}/`}>{author}</a> • {
          formatDate(date)
        }
      </small>
    </div>
    <p class="card__content__description">{description}</p>
    <Link href={`/blog/${url}/`} text="Read Post" style="secondary" />
  </div>
</article>



